Page MenuHomePhabricator

llvm.noalias - don't block EarlyCSE
AcceptedPublic

Authored by hfinkel on Apr 30 2015, 8:09 AM.

Details

Summary

This part of the series started by D9375, and as with llvm.assume, prevents llvm.noalias from forming a generation barrier in EarlyCSE.

Diff Detail

Event Timeline

hfinkel updated this revision to Diff 24711.Apr 30 2015, 8:09 AM
hfinkel retitled this revision from to llvm.noalias - don't block EarlyCSE.
hfinkel updated this object.
hfinkel edited the test plan for this revision. (Show Details)
hfinkel added reviewers: chandlerc, reames.
hfinkel added a subscriber: Unknown Object (MLST).
reames accepted this revision.May 12 2015, 10:51 AM
reames edited edge metadata.

LGTM

This revision is now accepted and ready to land.May 12 2015, 10:51 AM
hfinkel updated this revision to Diff 63337.Jul 8 2016, 3:45 PM
hfinkel edited edge metadata.

Rebased.

majnemer accepted this revision.Jul 10 2016, 12:39 AM
majnemer added a reviewer: majnemer.
majnemer added a subscriber: majnemer.

LGTM

hfinkel updated this revision to Diff 73354.Oct 3 2016, 3:18 PM
hfinkel edited edge metadata.

Rebased

troyj added a subscriber: troyj.Aug 22 2018, 9:30 AM